/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package servicio;

import entidad.Categoria;
import java.util.List;
import static org.testng.Assert.*;
import org.testng.annotations.AfterClass;
import org.testng.annotations.AfterMethod;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

/**
 *
 * @author sade
 */
public class ServicioCategoriaNGTest {
    
    public ServicioCategoriaNGTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
    }

    @BeforeMethod
    public void setUpMethod() throws Exception {
    }

    @AfterMethod
    public void tearDownMethod() throws Exception {
    }

    /**
     * Test of search method, of class ServicioCategoria.
     */
    @Test
    public void testSearch() {
        System.out.println("search");
        String m = "";
        ServicioCategoria instance = new ServicioCategoria();
        List expResult = null;
        List result = instance.search(m);
        assertEquals(result, expResult);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of indice method, of class ServicioCategoria.
     */
    @Test
    public void testIndice() {
        System.out.println("indice");
        String i = "";
        ServicioCategoria instance = new ServicioCategoria();
        List expResult = null;
        List result = instance.indice(i);
        assertEquals(result, expResult);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of detalle1 method, of class ServicioCategoria.
     */


    /**
     * Test of findAll method, of class ServicioCategoria.
     */
    @Test
    public void testFindAll() {
        System.out.println("findAll");
        ServicioCategoria instance = new ServicioCategoria();
        List expResult = null;
        List result = instance.findAll();
        assertEquals(result, expResult);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of save method, of class ServicioCategoria.
     */
    @Test
    public void testSave() {
        System.out.println("save");
        Categoria cat = null;
        ServicioCategoria instance = new ServicioCategoria();
        instance.save(cat);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of remove method, of class ServicioCategoria.
     */
    @Test
    public void testRemove() {
        System.out.println("remove");
        int noca = 0;
        ServicioCategoria instance = new ServicioCategoria();
        instance.remove(noca);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of find method, of class ServicioCategoria.
     */
    @Test
    public void testFind() {
        System.out.println("find");
        int noca = 0;
        ServicioCategoria instance = new ServicioCategoria();
        Categoria expResult = null;
        Categoria result = instance.find(noca);
        assertEquals(result, expResult);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }
    
}
